gulp-plumberでエラーでる

2015.02.20 Gulp


gulpはデフォルトだとsassのインデントミスとかで記述ミスると、watchが止まってしまう。

それじゃあんまりだ ということでgulp-plumberというプラグインがあるので入れてみた。

package.jsonには

はい、はいった

で、試しにsassでエラーでるようにしたところ、watchとまった。。

 こんな感じのエラー。gulp-compassに問題あるっぽいのでpackage.json確認。

 なんだろなーと思いながら上司の書いたコード見てたら、バージョンが違ったので試しに入れてみる事に。

package.jsonで1.2.0を指定して

npmインストール。

 

お、いけた〜